/*
 * $Id: smartups.h,v 1.1 1995/11/08 19:26:26 alexis Exp $
 *
 * UPS Daemon
 * The Wild Wind Communications, 1995
 *
 * $Log: smartups.h,v $
 * Revision 1.1  1995/11/08  19:26:26  alexis
 * Initial revision
 *
 * Revision 1.1  1995/11/08  19:24:28  alexis
 * Initial revision
 *
 *
 */

#define	U_INIT			"Y"	/* Initialize UPS */
#define U_FIRMWARE		"V"	/* UPS Firmware Revision */
#define	U_SERIAL		"n"	/* UPS Serial No */
#define	U_COPYRIGHT		"y"	/* UPS Manufacturer */
#define	U_IDENT			"c"	/* UPS Label */
#define	U_BDATE			"x"	/* Date of battaries change */
#define	U_MDATE			"m"	/* Date of manufacture */
#define	U_LINEVOL		"9"	/* Line voltage */
#define U_LINEFREQ		"F"	/* Line frequency */

#define U_LTEST			"A"	/* UPS light test */
#define	U_STEST			"W"	/* UPS self-test */
#define	U_TESTLST		"X"	/* Last UPS self-test results */

#define U_VOL			"O"	/* UPS ouput voltage */
#define U_LOAD			"P"	/* UPS Load */

#define U_FAIL			"U"	/* Simulate power fail */

#define U_HTPOINT		"u"	/* + High transfer point */
#define	U_LTPOINT		"l"	/* + Low transfer point */

#define U_LBAT_TIME		"q"	/* + Low battery duration */
#define U_WCAP			"e"	/* + Wakeup battery capacity */
#define U_WDELAY		"r"	/* + Wakeup delay */
#define U_VOLTAGE		"o"	/* + Output voltage setting */
#define U_SDOWN_DELAY		"p"	/* + UPS shutdown delay time */
#define U_LINESENS		"s"	/* + Line sensitivity */
#define U_ALARM			"k"	/* + Line failure alarm */
#define U_BAT_RECHARGE		"f"	/* + Batteries recharge */
#define U_BAT_VDC		"B"	/* + Batteries VDC */
#define U_TEMP			"C"	/* + UPS Temperature */
#define U_LINE_VOLTAGE		"L"	/* + Input line voltage */
#define U_LINE_MAXV		"M"	/* + Line max VAC */
#define U_LINE_MINV		"N"	/* + Line min VAC */

#define U_SHUTDOWN		"SSSSSSSSSSSSSSSSSSSSUUUUUUUUUUUUUUUUUUUU"
					/* Perform UPS selfshutdown */

